Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class VariableManagerImpl

`java.lang.Object
oracle.jbo.common.VariableManagerImpl`

All Implemented Interfaces:
  java.io.Serializable, VariableManager

Direct Known Subclasses:
  VariableValueManagerImpl

public class VariableManagerImpl
extends java.lang.Object
implements VariableManager, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`VariableManagerImpl()`
`VariableManagerImpl(VariableManagerOwner owner, VariableManager[] varMgrParents)`

Method Summary
`protected java.lang.Object` | `accessValue(Variable var)`
`Variable` | `addVariable(java.lang.String name)`
`void` | `addVariable(Variable var)`
`void` | `clearVariables()`
`Variable` | `findDeclaredVariable(java.lang.String name)`
`Variable` | `findVariable(java.lang.String name)`
`int` | `getDeclaredVariableCount()`
`Variable[]` | `getDeclaredVariables()`
`java.lang.String` | `getName()`
`int` | `getVariableCount()`
`Variable[]` | `getVariables()`
`java.util.Map` | `getVariablesMap()` Returns a readonly map of all variables in this manager.
`Variable[]` | `getVariablesOfKind(java.lang.String kind)`
`VariableManagerOwner` | `getVarMgrOwner()`
`VariableManager[]` | `getVarMgrParents()`
`protected VariableImpl` | `internalCreateVariableInstance()`
`void` | `loadFromXML(DefElement[] xmlElements)`
`void` | `loadFromXML(DefElement[] xmlElements, boolean validators)`
`Variable` | `lookupVariable(java.lang.String name)`
`void` | `mergeVariables(Variable[] vars)`
`Variable` | `removeVariable(java.lang.String name)`
`Variable` | `replaceVariable(Variable newVar)`
`void` | `setVarMgrParents(VariableManager[] parents)`
`void` | `variableChanged(Variable var)`
`protected java.util.List` | `variableList()`
`protected java.util.Map` | `variables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableManagerImpl

    public VariableManagerImpl()

### VariableManagerImpl

    public VariableManagerImpl(VariableManagerOwner owner,
                               VariableManager[] varMgrParents)

Method Detail

### variables

    protected java.util.Map variables()

### variableList

    protected java.util.List variableList()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `VariableManager`

### getVarMgrOwner

    public VariableManagerOwner getVarMgrOwner()

  Specified by:
    `getVarMgrOwner` in interface `VariableManager`

### getVarMgrParents

    public VariableManager[] getVarMgrParents()

  Specified by:
    `getVarMgrParents` in interface `VariableManager`

### setVarMgrParents

    public void setVarMgrParents(VariableManager[] parents)

### getVariablesMap

    public java.util.Map getVariablesMap()

  Returns a readonly map of all variables in this manager.
  Specified by:
    `getVariablesMap` in interface `VariableManager`

### getVariables

    public Variable[] getVariables()

  Specified by:
    `getVariables` in interface `VariableManager`

### getVariablesOfKind

    public Variable[] getVariablesOfKind(java.lang.String kind)

  Specified by:
    `getVariablesOfKind` in interface `VariableManager`

### getVariableCount

    public int getVariableCount()

  Specified by:
    `getVariableCount` in interface `VariableManager`

### getDeclaredVariables

    public Variable[] getDeclaredVariables()

  Specified by:
    `getDeclaredVariables` in interface `VariableManager`

### getDeclaredVariableCount

    public int getDeclaredVariableCount()

  Specified by:
    `getDeclaredVariableCount` in interface `VariableManager`

### findDeclaredVariable

    public Variable findDeclaredVariable(java.lang.String name)

  Specified by:
    `findDeclaredVariable` in interface `VariableManager`

### findVariable

    public Variable findVariable(java.lang.String name)

  Specified by:
    `findVariable` in interface `VariableManager`

### lookupVariable

    public Variable lookupVariable(java.lang.String name)

  Specified by:
    `lookupVariable` in interface `VariableManager`

### addVariable

    public void addVariable(Variable var)

  Specified by:
    `addVariable` in interface `VariableManager`

### addVariable

    public Variable addVariable(java.lang.String name)

  Specified by:
    `addVariable` in interface `VariableManager`

### replaceVariable

    public Variable replaceVariable(Variable newVar)

  Specified by:
    `replaceVariable` in interface `VariableManager`

### removeVariable

    public Variable removeVariable(java.lang.String name)

  Specified by:
    `removeVariable` in interface `VariableManager`

### clearVariables

    public void clearVariables()

  Specified by:
    `clearVariables` in interface `VariableManager`

### mergeVariables

    public void mergeVariables(Variable[] vars)

  Specified by:
    `mergeVariables` in interface `VariableManager`

### accessValue

    protected java.lang.Object accessValue(Variable var)

### internalCreateVariableInstance

    protected VariableImpl internalCreateVariableInstance()

### loadFromXML

    public void loadFromXML(DefElement[] xmlElements)

### loadFromXML

    public void loadFromXML(DefElement[] xmlElements,
                            boolean validators)

### variableChanged

    public void variableChanged(Variable var)

  Specified by:
    `variableChanged` in interface `VariableManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.